import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class ItemBrowser extends StatelessWidget {
  final String _itemUrl;
  ItemBrowser(this._itemUrl);
  final WebViewController webViewController = WebViewController();

  @override
  Widget build(BuildContext context) {
    webViewController.loadRequest(Uri.parse(_itemUrl));
    webViewController.setJavaScriptMode(JavaScriptMode.unrestricted);
    return Scaffold(
      appBar: AppBar(),
      body: Center(
        child: WebViewWidget(
          controller: webViewController,
        ),
      ),
    );
  }
}
